Bug 200781 - x11/kde4: knotify (and kbiff) starts jackd with the flag "-l" only and creates zombies
Summary: x11/kde4: knotify (and kbiff) starts jackd with the flag "-l" only and create...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-11 06:11 UTC by Matthias Apitz
Modified: 2016-10-18 11:37 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Apitz 2015-06-11 06:11:37 UTC
on KDE4 startup knotify call "/usr/local/bin/jackd -l" which is
meaningless because it only prints the default dir of jackd and
does not start any service;

the same is true for kbiff when mail arrives in the INBOX; to nail
this down (or at least to proof it), I substituted /usr/local/bin/jackd
with the following shell script:

#!/bin/sh
printf "new jackd call:\n" >> /tmp/jackd
echo $0 $* >> /tmp/jackd
/usr/local/bin/jackd.bin $* &
echo $! >> /tmp/jackd


and on KDE start or when a mail arrives the file /tmp/jackd shows:


new jackd call:
/usr/local/bin/jackd -l
39343
new jackd call:
/usr/local/bin/jackd -l
39345
new jackd call:
/usr/local/bin/jackd -l
39347


the PIDs of the zombies are always -1:

39342 2 Z 0:00,01 <defunct>
39344 2 Z 0:00,01 <defunct>
39346 2 Z 0:00,01 <defunct>

i.e. belong to the caller knotify or kbiff.

I first filed a bug in kde.org, see:
https://bugs.kde.org/show_bug.cgi?id=348841
but the folks @kde.org closed it again with the argument:
"...you should seek support from your distro, this is a configuration issue."
Comment 1 Tobias C. Berner freebsd_committer 2016-10-13 13:45:38 UTC
Hi Matthias

Is this still an issue?

mfg Tobias
Comment 2 Matthias Apitz 2016-10-13 15:24:00 UTC
(In reply to Tobias C. Berner from comment #1)

Hi,
I run kde-4.14.3 compiled from ports r404859 end of last year and I do not see this anymore.
Comment 3 Tobias C. Berner freebsd_committer 2016-10-13 16:38:46 UTC
Glad to hear this. Sorry for the horrible response time :)

I'll close this for now then.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-18 11:37:33 UTC
Assign to committer that resolved